summaryrefslogtreecommitdiffhomepage
path: root/kokoro/gcp_ubuntu/run_build.sh
diff options
context:
space:
mode:
authorNicolas Lacasse <nlacasse@google.com>2018-05-10 09:48:00 -0700
committerShentubot <shentubot@google.com>2018-05-10 09:48:50 -0700
commit3271d549f05f57c2ef4bbfe6a4cdf50eef1ba7a1 (patch)
treef4c104ff5e13492f3eaf134896184d3fdb08d6e3 /kokoro/gcp_ubuntu/run_build.sh
parent0ca020dcb392af89e027767bc83bca729bec1219 (diff)
Build nightly runsc releases with Kokoro.
PiperOrigin-RevId: 196129010 Change-Id: I655eb3eecf24ffff475b3882ec55a8b55e6d2f36
Diffstat (limited to 'kokoro/gcp_ubuntu/run_build.sh')
-rwxr-xr-xkokoro/gcp_ubuntu/run_build.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/kokoro/gcp_ubuntu/run_build.sh b/kokoro/gcp_ubuntu/run_build.sh
new file mode 100755
index 000000000..c727b0862
--- /dev/null
+++ b/kokoro/gcp_ubuntu/run_build.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# Copyright 2018 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Fail on any error.
+set -e
+# Display commands to stderr.
+set -x
+
+# Install the latest version of Bazel.
+use_bazel.sh latest
+
+# Log the bazel path and version.
+which bazel
+bazel version
+
+cd git/repo
+
+# Build runsc.
+bazel build //runsc
+
+# Move the built binary to the top of the artifacts directory.
+mv bazel-bin/runsc/linux_amd64_pure_stripped/runsc "${KOKORO_ARTIFACTS_DIR}"/runsc